package com.iformall.mapper;

import com.iformall.domain.vo.WxBillAll;
import com.iformall.domain.vo.WxBillAllVo;

import java.util.List;
import java.util.Map;

/**
 * @author gongbiao
 */
public interface WxBillAllMapper {


	List<WxBillAllVo> list(WxBillAll record);

	Map<String,Object> queryOweInfo(WxBillAll record);

	Map<String,Object> queryPaidInfo(WxBillAll record);

    List<Map<String,Object>> listData(WxBillAll wxBillAll);

	List<Map<String, Object>> getWaitPayBill();

	List<Map<String, Object>> getOweBill();

	/**
	 * +group by账单类型
	 * @return
	 */
	List<Map<String, Object>> getOweBillForEmail();

	/**
	 * +group by账单类型
	 * @return
	 */
	List<Map<String, Object>> getWaitPayBillForEmail();

	/**
	 * 欠缴商户分页列表
	 * @return
	 */
	List<Map<String, Object>> getOweBillAsPage(WxBillAll record);

	/**
	 * 应收和承付商户分页列表
	 *
	 * @return
	 */
	List<Map<String, Object>> getReceiveAndPayBillAsPage(WxBillAll record);

	Map<String, Object> getReceiveAndPayBillDetail(WxBillAll record);

	List<Map<String, Object>> allDepositList(WxBillAll wxBillAll);

}
